package com.mycompany.menutest;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.Toast;


public class MainActivity extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        boolean result = false;
        int id = item.getItemId();
        switch(id) {
            case R.id.action_settings:
                result = true;
                break;
            case R.id.action_toast:
                onClickMenuToast(item);
                result = true;
                break;
            case R.id.action_exit:
                onClickMenuExit(item);
                result = true;
                break;
            default:
                result = super.onOptionsItemSelected(item);
        }
        return result;
    }

    public void onClickMenuToast(MenuItem item) {
        Toast toast = Toast.makeText(this, "Here is a toast", Toast.LENGTH_LONG);
        toast.show();
    }

    public void onClickMenuExit(MenuItem item) {
        finish();
    }
}
